#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# PolyK.AjaxRequest Class

Defined in: `src/pixi/utils/Utils.js:88`
Module: PIXI

A wrapper for ajax requests to be handled cross browser

## Constructor

### `PolyK.AjaxRequest`

()

Defined in `src/pixi/utils/Utils.js:88`

- Index
- Methods

## Item Index

### Methods

- bind
- cancelAnimationFrame
- hex2rgb
- requestAnimationFrame

## Methods

### `bind`

()

Defined in `src/pixi/utils/Utils.js:60`

A polyfill for Function.prototype.bind

### `cancelAnimationFrame`

()

Defined in `src/pixi/utils/Utils.js:13`

A polyfill for cancelAnimationFrame

### `hex2rgb`

(

- `hex`

)

Defined in `src/pixi/utils/Utils.js:45`

Converts a hex color number to an [R, G, B] array

#### Parameters:

- `hex` Number

### `requestAnimationFrame`

()

Defined in `src/pixi/utils/Utils.js:8`

A polyfill for requestAnimationFrame